using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {				
		   CategoryBuilder.Create("Wabble Team 1", "Wabbledeeans", ModAPI.LoadSprite("CategoryView.png"));
///////////////////////////////////////////////////////////////////Wabbledeeans in PPG.//////////////////////////////////////////////////////////////////////////////////////////////////////
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wabbledeean Team 1 Operative",
                    DescriptionOverride = "Goriam Wabbledeeans!",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wabbledeean.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("wabbledeean.png");
	                    var flesh = ModAPI.LoadTexture("layerb.png");
	                    var bone = ModAPI.LoadTexture("layerf.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 12);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wabbledeean Team 1 Operative (Camo)",
                    DescriptionOverride = "The blood of your enemies are part of your camo!",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wabbledeean 2.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("wabbledeean 2.png");
	                    var flesh = ModAPI.LoadTexture("layerb.png");
	                    var bone = ModAPI.LoadTexture("layerf.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 12);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wabbledeean Team 1 Operative (Blue Eyes)",
                    DescriptionOverride = "Goriam Wabbledeeans! He can see you from 200 miles away.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wabbledeean3.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("wabbledeean3.png");
	                    var flesh = ModAPI.LoadTexture("layerb.png");
	                    var bone = ModAPI.LoadTexture("layerf.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 12);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wabbledeean Team 1 Operative (MARPAT)",
                    DescriptionOverride = "The Wabbledeean Marine Corps' finest.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wabbledeean4.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("wabbledeean4.png");
	                    var flesh = ModAPI.LoadTexture("layerb.png");
	                    var bone = ModAPI.LoadTexture("layerf.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 12);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wabbledeean Team 1 Operative (M81 Woodland)",
                    DescriptionOverride = "Goriam Wabbledeeans!",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wabbledeean6.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("wabbledeean6.png");
	                    var flesh = ModAPI.LoadTexture("layerb.png");
	                    var bone = ModAPI.LoadTexture("layerf.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 12);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
		  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wabbledeean Team 1 Operative (Black Operations)",
                    DescriptionOverride = "Goriam Wabbledeeans!",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wabbledeean7.png"),
                    AfterSpawn = (Instance) =>
                    {	
                        var skin = ModAPI.LoadTexture("wabbledeean7.png");
	                    var flesh = ModAPI.LoadTexture("layerb.png");
	                    var bone = ModAPI.LoadTexture("layerf.png");
                            var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                
	                    person.SetBodyTextures(skin, null, null, 12);
                
                            person.SetBruiseColor(86, 62, 130);
                            person.SetSecondBruiseColor(154, 0, 7);
                            person.SetThirdBruiseColor(207, 206, 120);
                            person.SetRottenColour(202, 199, 104);
                            person.SetBloodColour(108, 0, 4);
                    }
                }
            );	
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "Wabbledeean Chest Rig",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A standard chestrig.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("chestrig b.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("chestrig b.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 1;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Plank").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("chestrig t.png", 6f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 15f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 1;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Wabbledeean Standard PlateCarrier (No Kit)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A standard plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("carrier2.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier2.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Plank").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier1.png", 12f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 35f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 4;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Wabbledeean Standard PlateCarrier (Rifleman's Kit)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A standard plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("carrier2a.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier2a.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Plank").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier1a.png", 12f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 35f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 4;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Wabbledeean Standard PlateCarrier (Engineer's Kit)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A standard plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("carrier2b.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier2b.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Plank").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier1.png", 12f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 35f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 4;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "Wabbledeean Standard PlateCarrier (Radioman's Kit)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A standard plate carrier.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("carrier1b.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier2a.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.stabResistance = 35f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 4;
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();

						var among2 = GameObject.Instantiate(ModAPI.FindSpawnable("Plank").Prefab);
						among2.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("carrier1b.png", 12f);
						among2.transform.localPosition = (Instance.transform.position);
						var mogus2 = among2.GetComponent<Collider2D>();
                        			GameObject.Destroy(mogus2);
                        			among2.FixColliders();

					ArmorBehaviour armor3 = among2.AddComponent<ArmorBehaviour>();
					armor3.stabResistance = 35f;
                        		armor3.armorPiece = "UpperBody";
					armor3.armorTier = 4;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "Wabbledeean Ears",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "No, they're not furries.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wobbler ear.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("wobbler ear.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Wabbledeean High-Cut Helmet",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "No, they're not furries.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("helmet.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Wabbledeean High-Cut Helmet (Team 1 Patch)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "No, they're not furries.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("helmet2.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet2.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Wabbledeean High-Cut Helmet (Shield)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "No, they're not furries.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("helmet3.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet3.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 35f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 4;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "Wabbledeean Tail",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "No, they're not furries.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wobbler tail.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("wobbler tail.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "Wabbledeean Tail (Longer)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "No, they're not furries.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("wobbler tail2.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("wobbler tail2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "Schrim Scarf",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "In the famous Wabbledibber Pattern.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("Schrim Scarf.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Schrim Scarf.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "Schrim Shemagh",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "In the famous Wabbledibber Pattern.",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("Shemagh.png", 12f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Shemagh.png", 12f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"),
                    NameOverride = "Ammo Belt",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A pouch for ammo",
                    CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                    ThumbnailOverride = ModAPI.LoadSprite("belt.png", 6f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("belt.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 1f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "Mk. 18 Mod. 1 'Wobbler Special'",
                   DescriptionOverride = "Can't take over the world by just wobbling.",
                 CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                 ThumbnailOverride = ModAPI.LoadSprite("Mk. 18.png", 18f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mk. 18.png", 18f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.450f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.200f,0.100f);
                     customCartridge.name = "nato round";
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.09f;
                     Instance.FixColliders();
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "Mk. 18 Mod. 1 'Wobbler Special' (AN/PEQ 15, Side)",
                   DescriptionOverride = "Can't take over the world by just wobbling.",
                 CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                 ThumbnailOverride = ModAPI.LoadSprite("Mk. 18 PEQs.png", 18f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mk. 18 PEQs.png", 18f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.450f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.200f,0.100f);
                     customCartridge.name = "nato round";
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.09f;
                     Instance.FixColliders();
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "Mk. 18 Mod. 1 'Wobbler Special' (AN/PEQ 15, Top, Optic Reversed)",
                   DescriptionOverride = "Can't take over the world by just wobbling. Now with the optic facing the right way... even tho EOTechs can be used both ways.",
                 CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                 ThumbnailOverride = ModAPI.LoadSprite("Mk. 18 PEQt2.png", 18f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mk. 18 PEQt2.png", 18f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.450f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.200f,0.100f);
                     customCartridge.name = "nato round";
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.09f;
                     Instance.FixColliders();
                 }
             }
             ); ;
			ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                 NameOverride = "Mk. 18 Mod. 1 'Wobbler Special' (AN/PEQ 15, Top)",
                   DescriptionOverride = "Can't take over the world by just wobbling.",
                 CategoryOverride = ModAPI.FindCategory("Wabble Team 1"),
                 ThumbnailOverride = ModAPI.LoadSprite("Mk. 18 PEQt.png", 18f),
                 AfterSpawn = (Instance) =>
                 {

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mk. 18 PEQt.png", 18f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.450f, 0.1000f); 
                     firearm.casingPosition = new Vector3(-0.200f,0.100f);
                     customCartridge.name = "nato round";
                     customCartridge.Recoil *= 0.5f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.09f;
                     Instance.FixColliders();
                 }
             }
             ); ;
        } 
    }
}